Name:           libhandy
Version:        0.0.6
Release:        2%{?dist}
Summary:        Library with GTK+ widgets for mobile phones

License:        LGPLv2+
URL:            https://source.puri.sm/Librem5/libhandy/
Source0:        https://source.puri.sm/Librem5/libhandy/-/archive/v%{version}/libhandy-v%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gladeui-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  vala

%description
libhandy provides GTK+ widgets and GObjects to ease developing
applications for mobile phones.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n libhandy-v%{version} -p1

%build
%meson -Dgtk_doc=true -Dexamples=false
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_libdir}/girepository-1.0/
%{_libdir}/libhandy-0.0.so.0*

%files devel
%{_includedir}/libhandy-0.0/
%{_libdir}/glade/
%{_libdir}/libhandy-0.0.so
%{_libdir}/pkgconfig/libhandy-0.0.pc
%{_datadir}/gir-1.0/
%{_datadir}/glade/
%{_datadir}/gtk-doc/
%{_datadir}/vala/

%changelog
* Fri Jan 11 2019 Yanko Kaneti <yaneti@declera.com> - 0.0.6-2
- Swap some runtime vs devel bits

* Wed Jan 09 2019 Kalev Lember <klember@redhat.com> - 0.0.6-1
- Initial Fedora packaging
